petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCExoticSetType

Sets the type of coarse grid interpolation to use

### Synopsis

    #include "petscdmda.h"
    #include "petscksp.h"
    PetscErrorCode  PCExoticSetType(PC pc,PCExoticType type)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| type | - either PC_EXOTIC_FACE or PC_EXOTIC_WIREBASKET (defaults to face) Many br

Notes: The face based interpolation has 1 degree of freedom per face and ignores the Many bredge and vertex values completely in the coarse problem. For any seven point Many brstencil the interpolation of a constant on all faces into the interior is that constant. Many br

The wirebasket interpolation has 1 degree of freedom per vertex, per edge and Many brper face. A constant on the subdomain boundary is interpolated as that constant Many brin the interior of the domain. Many br

The coarse grid matrix is obtained via the Galerkin computation A_c = R A R^T, hence Many brif A is nonsingular A_c is also nonsingular. Many br

Both interpolations are suitable for only scalar problems. Many br

Many br

### See Also

PCEXOTIC, PCExoticType()

Level:intermediate
Location:src/ksp/pc/impls/wb/wb.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages